# Copyright (c) 2010, Lawrence Livermore National Security, LLC. Produced at the
# Lawrence Livermore National Laboratory. LLNL-CODE-443211. All Rights reserved.
# See file COPYRIGHT for details.
#
# This file is part of the MFEM library. For more information and source code
# availability see http://mfem.org.
#
# MFEM is free software; you can redistribute it and/or modify it under the
# terms of the GNU Lesser General Public License (as published by the Free
# Software Foundation) version 2.1 dated February 1999.

# Variables corresponding to defines in config.hpp (YES, NO, or value)
MFEM_VERSION         = 30302
MFEM_VERSION_STRING  = 3.3.2
MFEM_GIT_STRING      =
MFEM_USE_MPI         = YES
MFEM_USE_METIS       = YES
MFEM_USE_METIS_5     = YES
MFEM_DEBUG           = NO
MFEM_USE_GZSTREAM    = NO
MFEM_USE_LIBUNWIND   = NO
MFEM_USE_LAPACK      = NO
MFEM_THREAD_SAFE     = NO
MFEM_USE_OPENMP      = NO
MFEM_USE_MEMALLOC    = YES
MFEM_TIMER_TYPE      = 2
MFEM_USE_SUNDIALS    = NO
MFEM_USE_MESQUITE    = NO
MFEM_USE_SUITESPARSE = NO
MFEM_USE_SUPERLU     = YES
MFEM_USE_STRUMPACK   = NO
MFEM_USE_GECKO       = NO
MFEM_USE_GNUTLS      = NO
MFEM_USE_NETCDF      = YES
MFEM_USE_PETSC       = YES
MFEM_USE_MPFR        = NO
MFEM_USE_SIDRE       = NO

# Compiler, compile options, and link options
MFEM_CXX       = mpicxx
MFEM_CPPFLAGS  =
MFEM_CXXFLAGS  = -O3 -fPIC
MFEM_TPLFLAGS  = -I/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.13.0/include -I/opt/ohpc/pub/libs/intel/metis/5.1.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.3.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.5.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.8.3/include
MFEM_INCFLAGS  = -I/opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/include -I/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.13.0/include -I/opt/ohpc/pub/libs/intel/metis/5.1.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.3.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.5.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.8.3/include
MFEM_FLAGS     =  -O3 -fPIC -I/opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/include -I/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.13.0/include -I/opt/ohpc/pub/libs/intel/metis/5.1.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.3.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.5.0/include -I/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.8.3/include
MFEM_LIBS      = -L/opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/lib -lmfem -L/opt/ohpc/pub/libs/intel/mvapich2/hypre/2.13.0/lib -lHYPRE -L/opt/ohpc/pub/libs/intel/metis/5.1.0/lib -lmetis -L/opt/ohpc/pub/libs/intel/mvapich2/superlu_dist/5.3.0/lib -lsuperlu_dist -L/opt/ohpc/pub/libs/intel/mvapich2/netcdf/4.5.0/lib -lnetcdf -L/opt/ohpc/pub/libs/intel/mvapich2/petsc/3.8.3/lib -lpetsc -lrt
MFEM_LIB_FILE  = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/lib/libmfem.a
MFEM_BUILD_TAG = Linux ohpc1 x86_64
MFEM_PREFIX    = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2
MFEM_INC_DIR   = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/include
MFEM_LIB_DIR   = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/lib

# Location of test.mk
MFEM_TEST_MK = /opt/ohpc/pub/libs/intel/mvapich2/mfem/3.3.2/share/mfem/test.mk

# Command used to launch MPI jobs
MFEM_MPIEXEC    = mpirun
MFEM_MPIEXEC_NP = -np
MFEM_MPI_NP     = 4

# Optional extra configuration
